import request from '@/utils/request'

import {
	baseUrl
}
from '@/api/baseurl'



// 按品类查询商家列表
export function getTypeAppList(id,params) {
	return request({
		url: baseUrl + `/student/applet/customer/getCustomerListByProductId/${id}`,
		method: 'get',
		params
	})
}

// 查询用户收藏列表
export function collectionList(params) {
	return request({
		url: baseUrl + '/student/applet/collection/collectionList',
		method: 'get',
		params
	})
}

// 查询用户浏览记录
export function getBrowseRecordInfoList(params) {
	return request({
		url: baseUrl + '/student/applet/record/info/getBrowseRecordInfoList',
		method: 'get',
		params
	})
}

// 查询品类列表
export function typeList(params) {
	return request({
		url: baseUrl + '/student/applet/product/info/list',
		method: 'get',
		params
	})
}

// 收藏商家
export function addFavorites(id) {
	return request({
		url: baseUrl + `/student/applet/collection/collectionBusiness/${id}`,
		method: 'put'
	})
}

// 删除收藏
export function delFavorites(ids) {
	return request({
		url: baseUrl + `/student/applet/collection/cancelCollection/${ids}`,
		method: 'delete'
	})
}

// 新增记录
export function BrowseRecordAdd(id) {
	return request({
		url: baseUrl + `/student/applet/record/info/insertBrowseRecord/${id}`,
		method: 'put'
	})
}

// 删除记录
export function BrowseRecordDel(ids) {
	return request({
		url: baseUrl + `/student/applet/record/info/${ids}`,
		method: 'delete'
	})
}

// 查询轮播图列表
export function getCarouselChartList() {
	return request({
		url: baseUrl + `/student/applet/homePage/getHomePageDataList`,
		method: 'get'
	})
}
